﻿@model System.Web.Mvc.HandleErrorInfo
@{
    Layout = "~/Views/Shared/_Layout_Error.cshtml";
    ViewBag.Title = "Error";
}
<!-- Start Container -->
<div class="container">

    <!-- Start XP Row -->
    <div class="row vh-100 align-items-center">
        <!-- Start XP Col -->
        <div class="col-lg-12 ">

            <!-- Start XP Auth Box -->
            <div class="xp-auth-box">
                <div class="card">

                    <div class="card-body">
                        <div class="xp-error-box text-center">

                            <div class="list-header clearfix">
                                <h1 class="xp-error-title mb-3"><span class="text-black">ERROR</span></h1>
                                <h4 class="xp-error-subtitle text-black m-b-30"><i class="icon-close text-danger font-32"></i> </h4>
                            </div>
                            <div class="list-sfs-holder">
                                <div class="alert alert-error">
                                    An unexpected error has occurred. Please contact the system administrator.
                                </div>
                                @if (Model != null && HttpContext.Current.IsDebuggingEnabled)
                                {
                                    <div>
                                        <h1 class="xp-error-title mb-3"><span class="text-black"> <b>Exception:</b> @Model.Exception.Message</span></h1>
                                        <h4 class="xp-error-subtitle text-black m-b-30"><i class="mdi mdi-emoticon-sad text-danger font-32"></i><b>Controller:</b> @Model.ControllerName</h4>
                                        <p class="text-muted m-b-30"><b>Action:</b> @Model.ActionName</p>
                                        <div style="overflow:scroll">
                                            <pre>
                    @Model.Exception.StackTrace
                </pre>
                                        </div>
                                    </div>
                                }
                                <a href="../" class="btn btn-primary btn-rounded mb-3"><i class="icon-home"></i> Home</a>
                            </div>

                        </div>
                    </div>
                </div>

            </div>
            <!-- End XP Auth Box -->

        </div>
        <!-- End XP Col -->
    </div>
    <!-- End XP Row -->
</div>
<!-- End Container -->


